# name: xscreensaver data function
# desc: default parameters for puppet lookup for xscreensaver module
# auth: Kai Burghardt <kburgha at gwdg.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker:

function xscreensaver::data() {
	$params = {
		'xscreensaver_package_name'     => 'xscreensaver',
		'xscreensaver_gl_packages'      => [
				'fireflies',
				'libopengl-xscreensaver-perl',
				'xscreensaver-data-extra',
				'xscreensaver-gl',
				'xscreensaver-gl-extra',
				'xscreensaver-screensaver-bsod',
				'xscreensaver-screensaver-dizzy',
				'xscreensaver-screensaver-webcollage',
			],
		
		'xscreensaver_defaults_dir'     => '/etc/X11/app-defaults/',
		'xscreensaver_defaults_base'    => 'XScreenSaver',
		'xscreensaver_defaults_erb'     => 'xscreensaver/xscreensaver_defaults.erb',
	}
	
	# return
	Hash($params.map |$key, $value| {
		["${module_name}::${key}", $value]
	})
}
# EOF
