# name: install xscreensaver
# desc: install manifest for xscreensaver module
# auth: Kai Burghardt <kburgha at gwdg.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent fdm=marker:

class xscreensaver::install {
	# V A R I A B L E   I N I T
	
	$_default_package_ensure       = $xscreensaver::latest_instead_of_present ? {
			true                          => latest,
			default                       => present,
		}
	$_default_package_removal      = $xscreensaver::purge_instead_of_remove ? {
			true                          => purged,
			default                       => absent,
		}
	$_xscreensaver_package_version = ($xscreensaver::xscreensaver_package_version != undef) ? {
			true                          => $xscreensaver::xscreensaver_package_version,
			default                       => $_default_package_ensure,
		}
	
	
	# P A C K A G E   I N S T A L L A T I O N S
	
	package {'xscreensaver':
		name                          => $xscreensaver::xscreensaver_package_name,
		ensure                        => $_xscreensaver_package_version,
	}
	
	if (($xscreensaver::packages_have != undef) and
	    ($_xscreensaver_package_version !~ /^(absent|purged)$/)) {
		package {$xscreensaver::packages_have:
			ensure                        => $_default_package_ensure,
			require                       => Package['xscreensaver'],
		}
	}
	
	if ($xscreensaver::packages_abolish != undef) {
		package {$xscreensaver::packages_abolish:
			ensure                        => $_default_package_removal,
			require                       => Package['xscreensaver'],
		}
	}
}
# EOF
