# name: xscreensaver
# desc: parameter manifest for xscreensaver module
# auth: Kai Burghardt <kburgha at gwdg.de>
#  vim: set tw=140 ts=4 noet bs=eol,start,indent:

class xscreensaver::params {
	# class parameters
	$xscreensaver_package_name     = 'xscreensaver'
	
	$xscreensaver_gl_packages      = [
			'fireflies',
			'libopengl-xscreensaver-perl',
			'xscreensaver-data-extra',
			'xscreensaver-gl',
			'xscreensaver-gl-extra',
			'xscreensaver-screensaver-bsod',
			'xscreensaver-screensaver-dizzy',
			'xscreensaver-screensaver-webcollage',
		]
	
	$xscreensaver_defaults_dir     = '/etc/X11/app-defaults/'
	$xscreensaver_defaults_base    = 'XScreenSaver'
	$xscreensaver_defaults_erb     = 'xscreensaver/xscreensaver_defaults.erb'
	
	$xdg_autostart_path            = '/etc/xdg/autostart/xscreensaver-daemon.desktop'
	$xdg_autostart_target          = '/usr/share/xscreensaver/xscreensaver-daemon.desktop'
	$xdg_autostart_erb             = 'xscreensaver/xscreensaver_daemon_desktop.erb'
	$autostart_wrapper_path        = '/usr/share/xscreensaver/xscreensaver-wrapper.sh'
	$autostart_wrapper_erb         = 'xscreensaver/xscreensaver_wrapper.erb'
	$xdg_autostart_exec_args       = '-nosplash'
}
# EOF
